%% Fourier-Bessel Transform


%% no aberrations

null = @(r) zeros(size(r));

r = linspace(0,1,21);
y = irrad(null,r);
rs = linspace(0,1,201);
ys = somb(2*rs).^2;
plot(rs,ys,'k',r,y,'ko');
xlabel('r/\epsilon_o');
ylabel('Irradiance');

%% defocus

W020 = 0.25;

defocus = @(r) W020*r.^2;


r = linspace(0,2,201);
y = irrad(defocus,r);
plot(r,y,'k');
xlabel('r/\epsilon_o');
ylabel('Irradiance');
str = sprintf('%g wave defocus',W020);
title(str);
sigma_sq  = W020^2/12;
strehl = exp(-(2*pi)^2*sigma_sq);
fprintf('predicted strehl ratio: %g\n',strehl); fprintf('peak irradiance: %g\n',y(1));
